$(function() {
    var dialog, form,
 
      // From http://www.whatwg.org/specs/web-apps/current-work/multipage/states-of-the-type-attribute.html#e-mail-state-%28type=email%29
      emailRegex = /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/,
      date = $( "#clockTime_date" ),
      starttime = $( "#clockTime_starttime" ),
      endtime = $( "#clockTime_endtime" ),
      notice = $( "#clockTime_notice" ),
      allFields = $( [] ).add( date ).add( starttime ),
      tips = $( ".validateTips" );
 
    function updateTips( t ) {
      tips
        .text( t )
        .addClass( "ui-state-highlight" );
      setTimeout(function() {
        tips.removeClass( "ui-state-highlight", 1500 );
      }, 500 );
    }
 
    function checkLength( o, n, min, max ) {
      if ( o.val().length > max || o.val().length < min ) {
        o.addClass( "ui-state-error" );
        updateTips( "Length of " + n + " must be between " +
          min + " and " + max + "." );
        return false;
      } else {
        return true;
      }
    }
 
    function checkRegexp( o, regexp, n ) {
      if ( !( regexp.test( o.val() ) ) ) {
        o.addClass( "ui-state-error" );
        updateTips( n );
        return false;
      } else {
        return true;
      }
    }
 
    function Button_OK() {
      var valid = true;
      allFields.removeClass( "ui-state-error" );
 
      valid = valid && checkLength( date, "date", 1, 10 );
      valid = valid && checkLength( starttime, "starttime", 1, 10 );
 
      if ( valid ) {
        
        //Laden der Feldinformationen        
        var tmp_starttime = document.getElementById ("clockTime_starttime").value;
        var tmp_endtime = document.getElementById ("clockTime_endtime").value;
        var tmp_date = document.getElementById ("clockTime_date").value;
        var tmp_notice = document.getElementById ("clockTime_notice").value;
        
        //Dialog schliessen
        dialog.dialog( "close" );
        
        //Anlegen von Dienstgang
        StartOfOffSiteWork_ClockTime(tmp_starttime, tmp_endtime, tmp_date, tmp_notice);
      }
      return valid;
    }
 var btns = {};
 btns[cancel_string] = function() {
          dialog.dialog( "close" );
        };
btns ["OK"] = Button_OK;
    dialog = $( "#dialog-form" ).dialog({
      autoOpen: false,
      height: 200,
      width: 280,
      modal: true,
      buttons: btns,
      close: function() {
        form[ 0 ].reset();
        allFields.removeClass( "ui-state-error" );
      }
    });
 
    form = dialog.find( "form" ).on( "submit", function( event ) {
      event.preventDefault();
    });
 
	$( "#stempeluhr_buttons_dienstgang" ).on( "click", function() {
    
    //Initialisieren der Variablen
    var xml, count, end_value;
    
    //Titel nicht mitanzeigen
    $(".ui-dialog-titlebar").hide();
    
    //Berechnen des Startzeitpunkts
    currenttime = TimeAccuracy_CreateObject(); 
		currenttime = TimeAccuracy_ToTimeString (currenttime);
    
    //Berechnen des Datums
    currentdate = new Date();
    tmp_date = parseInt (currentdate.getUTCDate());
    tmp_month = parseInt (currentdate.getUTCMonth()) + 1;
    tmp_year = parseInt (currentdate.getUTCFullYear());
    if (tmp_date < 10){tmp_date = "0" + tmp_date; }
    if (tmp_month < 10){tmp_month = "0" + tmp_month;}
    currentdate = tmp_date + "." + tmp_month + "." + tmp_year;
    
    
    //Befuellen der Dialogfelder
    document.getElementById ("clockTime_starttime").value = currenttime;
    document.getElementById ("clockTime_date").value = currentdate;
    
     //Laden des letzten Stempeluhreintrages
	   xml = Load_ClockTimeList ("last", 3);

    	// auslesen der xml Daten von port.php
    	count = $('ClockTimes', xml).attr('count');
    	count = parseInt(count);

    	//auswerten der XML informationen von Ajax
      for (var i = 0; i < count; i++){
    		end_value = $('ClockTime:eq('+i+')', xml).attr('end');
      }
    
  	//Dialog oder Endzeitpunkt eintragen und abspeichern
    if (count == 0){
      dialog.dialog( "open" );
    }else if (end_value != undefined && end_value != ""){
      dialog.dialog( "open" );
    }else {
      StartOfOffSiteWork_ClockTime ("", "", "", "");
    }
    
    });
  });